Bug 1559370 - TCP Deprecate Test Day; tftp issue [NEEDINFO]
Summary: TCP Deprecate Test Day; tftp issue
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: tcp_wrappers   
(Show other bugs)
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-22 12:18 UTC by Quentin Tayssier
Modified: 2019-03-26 12:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-03-26 12:12:02 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jjelen: needinfo? (sumukher)


Attachments (Terms of Use)

Description Quentin Tayssier 2018-03-22 12:18:59 UTC
Description of problem:
File empty when do i do a get on the testday.

Version-Release number of selected component (if applicable):
fedora 28 


How reproducible:
always


Steps to Reproduce:
1 - Check tftp tftp-server is NOT linked against libwrap: ldd /usr/bin/tftp |grep libwrap
2 - Check if /var/lib/tftpboot is present as it's used for TFTP server directory
3 - Execcute sudo firewall-cmd --add-service=tftp --permanent && firewall-cmd -reload && systemctl enable tftp && systemctl restart tftp
4 - Execute echo "TCP Deprecate Test Day" | sudo tee /var/lib/tftpboot/testday.txt to put a file at /var/lib/tftpboot
5 - Execute echo "get testday.txt" | tftp 127.0.0.1 to get the file from tftp
6 - cat testday.txt to get the text


Actual results:
timeout on step 5.
file exist but empty on step 6


Expected results:
TCP Deprecate Test Day writen on the file testday.txt

Additional info:

Comment 1 Jakub Jelen 2018-03-23 08:24:19 UTC
This test case was written by Sumantro so he should be able to investigate what went wrong.


Note You need to log in before you can comment on or make changes to this bug.